package com.cookbook.tv

import MainView
import android.content.res.Configuration
import android.os.Bundle
import androidx.activity.ComponentActivity
import androidx.activity.compose.setContent
import androidx.compose.ui.platform.LocalConfiguration
import androidx.compose.ui.unit.Dp
import androidx.compose.ui.unit.dp

class MainActivityTV : ComponentActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)


        DisplayManager.device = Device.Android


        setContent {

            DisplayManager.size =  when(LocalConfiguration.current.screenWidthDp.dp) {
                in Dp.Hairline .. 600.dp -> Size.Small
                in 601.dp .. 1240.dp -> Size.Medium
                else -> Size.Large
            }

            DisplayManager.orientation = when(LocalConfiguration.current.orientation) {
                Configuration.ORIENTATION_PORTRAIT -> Orientation.Portrait
                Configuration.ORIENTATION_LANDSCAPE -> Orientation.Landscape
                else -> Orientation.Landscape
            }

            MainView()
        }
    }
}
